#version 330

uniform sampler2DRect inputTex;
uniform sampler2DRect inputTex1;
uniform sampler2DRect maskTex;
uniform float transitionProgress=1.0;
uniform float transitionAlpha=1.0;
uniform float baseAlpha=1.0;
uniform vec4 burnColor;

in vec2 fsTexture;
in vec2 fsTexture2;
in vec2 fsMaskTexture;
in float fsMix;

out vec4 outColor;

void main()
{
	vec4 texColor = texture(inputTex, fsTexture);
	vec4 colorA=mix(vec4(0,0,0,0),texColor,fsMix);
	vec4 colorB=mix(texColor,vec4(0,0,0,0),fsMix);
	vec4 useColor=vec4(burnColor.rgb,0.0);
	outColor=mix(colorB+transitionProgress*useColor,colorA+(1.0-transitionProgress)*useColor,transitionProgress)*baseAlpha;
#ifdef USE_MASK
	outColor.a*=texture(maskTex,fsMaskTexture).a;
#endif
}

